﻿<?php
require_once MODX_BASE_PATH."assets/snippets/payment/config/erip.php";

if ($_SESSION['shk_payment_method'] == 'erip'){
	$dbprefix = $modx->db->config['table_prefix'];
	$mod_table = $dbprefix."manager_shopkeeper";
	$modx_site_url = $modx->config['site_url'];
	$site_name = $modx->config['site_name'];

	$order_id = $_SESSION['shk_order_id'];
	$amount = $modx->db->getValue($modx->db->select("price", $mod_table, "id = $order_id", "", ""));

	$hash = md5(MERCHANT_ID.WEB_KEY.$order_id.$amount);
        
    $fields = array(
		'EP_Hash'		 => $hash,
		'EP_MerNo'		 =>	MERCHANT_ID, //номер Поставщика в EasyPay
		'EP_OrderNo'	 =>	$order_id, //уникальный номер счета
		'EP_Sum'		 =>	$amount, //сумма в белорусских рублях
		'EP_Expires'	 =>	EXPIRES, //время действительности счета в днях
		'EP_Comment'	 =>	'Заказ от магазина '.$site_name, //краткий комментарий
		'EP_OrderInfo'	 =>	"Оплата счета №".$order_id, //подробный комментарий
		'EP_Success_URL' =>	$modx_site_url.'assets/snippets/payment/erip_result.php/?action=success', //URL успех
		'EP_Cancel_URL'	 =>	$modx_site_url.'assets/snippets/payment/erip_result.php/?action=fail', //URL неуспех
		'EP_PayType'	 =>	'PT_ERIP', 
		'EP_Encoding'	 =>	'utf-8', //Кодировка
	);
        
    $change_status = $modx->db->update(array('status' => 2), $mod_table, "id = $order_id");
    $modx->invokeEvent('OnSHKChangeStatus',array('order_id'=>$order_id,'status'=>2));

    $form = '
        <form id="easypay_form" name="easypay_form" method="POST" action="https://ssl.easypay.by/weborder/?EP_Module=modx_evo_1">'.PHP_EOL;
        foreach ($fields as $key=>$value) {
          $form .= '<input type="hidden" name="'.$key.'" value="'.$value.'">'.PHP_EOL;
        }
		$form .= '<div style="padding:5px;">Идет перенаправление...</div>';
        $form .= '<input type="submit" style="display:none;" value="Оплатить">'.PHP_EOL.'</form>';
        $form .= '<script type="text/javascript">
					function formSubmit(){
						document.getElementById("easypay_form").submit();
					}

					window.onload=function(){ 
						window.setTimeout(formSubmit, 500);
					};
				</script>';
        
    echo $form;
    die;
}
			
	